import QtQuick 1.1

BorderImage
{
    id: commonBorder
    property Item content
    property int margin: 5
    height: content ? content.height + 2 * margin : 0
    width: content ? content.width + 2 * margin : 0
    border
    {
        left: 20
        right: 20
        top: 20
        bottom: 20
    }
    source: "../images/window/bg_shadow_6.png";
    visible: false
    function load(_content)
    {
        content = _content
        content.x = margin
        content.y = margin
        visible = true
    }
}
