import QtQuick 1.1

Item
{
	id: widget
	property Component body
	property bool mirror: true
	property variant item: loader.item

	OrientationHelper { id: xy; inverted: mirror }
	width: xy.get(loader, "width")
	height: xy.get(loader, "height")

	Loader
	{
		id: loader
		objectName: "MirrorXYLoader"
		sourceComponent: body
		transform: [
			Scale { xScale: mirror ? -1 : 1 },
			Rotation { angle: mirror ? -90 : 0 }
		]
	}
}
