import QtQuick 1.1
import "../common/widgets" as Widgets
import "../common/fonts" as Fonts
import "SettingsMargins.js" as Margins

Widgets.EnumRadioGroup
{
    id: radio

    property variant fontStyles: Fonts.Common{}

    textfont: fontStyles.standardSettingsTextFont
    textcolor: "#002822"
    horizontalMargin: 6
    spacing: Margins.settingsRadioSpacing
}
