import QtQuick 1.1
import "../common/widgets" as Widgets

Widgets.Button
{
    horizontalMargin: 8
    buttonHeight: 25

    textcolor: "#000000"
    textcolorDisabled: "#a0a0a0"

    backgroundImage: enabled ? "../images/settings/firewall/toolbar.png" : ""
    hoverImage: "../images/settings/firewall/toolbar_hover.png"
    pressedImage: "../images/settings/firewall/toolbar_pressed.png"
    focusRectEnabled: false

    Widgets.FocusImage
    {
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter
        tileHorizontally: true
        widthClipperSize: 4
        border {
            left: 4
            right: 4
        }
        source: "../common/images/focuses/focus_gray_rect.png"
    }
}
