import QtQuick 1.1

Button
{
	objectName: "InfoLink"

    property string url

	iconImage: "../images/widgets/infolink.png"
	iconHoverImage: "../images/widgets/infolink_hover.png"
    property bool tabOrder: true

    onClicked: Window.OpenTemplateURL(url)

    focusRectEnabled: false
    FocusImage
    {
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter
        tileHorizontally: true
        widthClipperSize: -6
        border {
            left: 4
            right: 4
        }
        source: "../images/focuses/focus_header_button.png"
    }
}
