import QtQuick 1.1
import QtWidgetProxies 1.0
import "../fonts" as Fonts
import "../EnumHelper.js" as EnumHelper
import "../widgets" as Widgets

Widgets.SimpleMessageBox
{
    id: osUpgradedMessageBox

    property variant context: ViewModel
    Localizer { id: tr; scope: "Common" }


    iconSource: "../images/ico_info_48.png"
    cancelVisible: false;
    okButtonText: tr.Localize("ConfirmButton")
    caption: tr.Localize("ProductName_"+context.productType);
    description: tr.Localize("OsUpgradedTitle");
    additionalDescription: tr.Localize("OsUpgradedDescription");

    onOkClicked:
    {
        Window.Close();
    }
}
