import QtQuick 1.1
import QtWidgetProxies 1.0
import "../common/fonts" as Fonts
import "../common/EnumHelper.js" as EnumHelper
import "../common/ProductTypeHelper.js" as ProductTypeHelper
import "../common/widgets" as Widgets
import "../main_window" as MainFrame

Widgets.SimpleMessageBox
{
    id: scanLicenseErrorMessageBox

    Localizer { id:tr; scope:"Scan" }

    property variant context: ViewModel

    iconSource: "../images/ico_warning_48.png"
    caption: tr.Localize("LicenseErrorMessageBoxTitle")
    description: tr.Localize("LicenseErrorMessageBoxText");
    additionalDescription: tr.Localize("LicenseErrorMessageBoxDescription");
    cancelButtonText: tr.Localize("Cancel")
    okButtonText: tr.Localize("LicenseErrorMessageBoxLicenseManage")

    onCancelClicked:
    {
        Window.Close()
    }

    onOkClicked:
    {
		context.dialogResult = "Ok"
        Window.Close();
    }
}
