import QtQuick 1.1

Item
{
    visible: false

    Common { id: commonFonts }
    
    property alias boldNormal:			boldNormal.font
    property alias header1:				commonFonts.standardCaptionFont
    property alias header2:				header2.font
    property alias normal:				commonFonts.standardCommonTextFont
    property alias standardBoldSubHeadingFont: commonFonts.standardBoldSubHeadingFont
    property alias statusCaptionFont:	statusCaptionFont.font
    property alias small: commonFonts.standardSettingsTextFont
    
    Text
    {
        id: header2
        font.family: "FranklinGothicMediCondTT"
        font.pointSize: 14
    }

    Text
	{
		id: boldNormal
		font.family: "Arial"
		font.italic: false
		font.pointSize: 9
		font.bold: true
	}

	Text
	{
		id: statusCaptionFont
        font.pointSize: 8
        font.family: "FranklinGothicMediTT"
        font.bold: true
	}
}
