import QtQuick 1.1

Item
{
	property alias statisticName:	leftSide.text
	property alias statistic:		rightSide.text
	property alias leftFont:		leftSide.font
	property alias rightFont:		rightSide.font
	property color leftColor:		"black"
	property color rightColor:		"black"
	
	height: childrenRect.height
	
	Text 
	{ 
		id: leftSide
		width: (parent.width * 65) / 100				
		wrapMode: "WordWrap"
		color: leftColor
	}
		
	Text 
	{ 
		id: rightSide		
		anchors.right: parent.right
		anchors.bottom: leftSide.bottom
		color: rightColor
	}
	
	Text
	{
		anchors.left: leftSide.right
		anchors.right: rightSide.left
		anchors.bottom: leftSide.bottom
		text: "........"
		color: leftColor
	}
}
